## WebKitDOMHTMLLinkElement

WebKitDOMHTMLLinkElement

## Functions

gboolean | webkit_dom_html_link_element_get_disabled ()
void | webkit_dom_html_link_element_set_disabled ()
gchar * | webkit_dom_html_link_element_get_charset ()
void | webkit_dom_html_link_element_set_charset ()
gchar * | webkit_dom_html_link_element_get_href ()
void | webkit_dom_html_link_element_set_href ()
gchar * | webkit_dom_html_link_element_get_hreflang ()
void | webkit_dom_html_link_element_set_hreflang ()
gchar * | webkit_dom_html_link_element_get_media ()
void | webkit_dom_html_link_element_set_media ()
gchar * | webkit_dom_html_link_element_get_rel ()
void | webkit_dom_html_link_element_set_rel ()
gchar * | webkit_dom_html_link_element_get_rev ()
void | webkit_dom_html_link_element_set_rev ()
gchar * | webkit_dom_html_link_element_get_target ()
void | webkit_dom_html_link_element_set_target ()
WebKitDOMStyleSheet * | webkit_dom_html_link_element_get_sheet ()

## Properties

gchar * | charset | Read / Write
gboolean | disabled | Read / Write
gchar * | href | Read / Write
gchar * | hreflang | Read / Write
gchar * | media | Read / Write
gchar * | rel | Read / Write
gchar * | rev | Read / Write
WebKitDOMStyleSheet * | sheet | Read
gchar * | target | Read / Write
gchar * | type | Read / Write

## Types and Values

| WebKitDOMHTMLLinkElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLLinkElement

## Implemented Interfaces

WebKitDOMHTMLLinkElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_link_element_get_disabled ()

    gboolean
    webkit_dom_html_link_element_get_disabled
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gboolean

### webkit_dom_html_link_element_set_disabled ()

    void
    webkit_dom_html_link_element_set_disabled
                                   (WebKitDOMHTMLLinkElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gboolean |

### webkit_dom_html_link_element_get_charset ()

    gchar *
    webkit_dom_html_link_element_get_charset
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_charset ()

    void
    webkit_dom_html_link_element_set_charset
                                   (WebKitDOMHTMLLinkElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_href ()

    gchar *
    webkit_dom_html_link_element_get_href (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_href ()

    void
    webkit_dom_html_link_element_set_href (WebKitDOMHTMLLinkElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_hreflang ()

    gchar *
    webkit_dom_html_link_element_get_hreflang
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_hreflang ()

    void
    webkit_dom_html_link_element_set_hreflang
                                   (WebKitDOMHTMLLinkElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_media ()

    gchar *
    webkit_dom_html_link_element_get_media
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_media ()

    void
    webkit_dom_html_link_element_set_media
                                   (WebKitDOMHTMLLinkElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_rel ()

    gchar *
    webkit_dom_html_link_element_get_rel (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_rel ()

    void
    webkit_dom_html_link_element_set_rel (WebKitDOMHTMLLinkElement *self,
                                          const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_rev ()

    gchar *
    webkit_dom_html_link_element_get_rev (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_rev ()

    void
    webkit_dom_html_link_element_set_rev (WebKitDOMHTMLLinkElement *self,
                                          const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_target ()

    gchar *
    webkit_dom_html_link_element_get_target
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A gchar

### webkit_dom_html_link_element_set_target ()

    void
    webkit_dom_html_link_element_set_target
                                   (WebKitDOMHTMLLinkElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLinkElement |
value | A gchar |

### webkit_dom_html_link_element_get_sheet ()

    WebKitDOMStyleSheet *
    webkit_dom_html_link_element_get_sheet
                                   (WebKitDOMHTMLLinkElement *self);

#### Parameters

self | A WebKitDOMHTMLLinkElement |

#### Returns

A WebKitDOMStyleSheet.

[transfer full]

## Types and Values

### WebKitDOMHTMLLinkElement

    typedef struct _WebKitDOMHTMLLinkElement WebKitDOMHTMLLinkElement;

## Property Details

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* HTMLLinkElement:charset.

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLLinkElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“href”` property

      “href”                     gchar *

read-write gchar* HTMLLinkElement:href.

Flags: Read / Write

Default value: ""

### The `“hreflang”` property

      “hreflang”                 gchar *

read-write gchar* HTMLLinkElement:hreflang.

Flags: Read / Write

Default value: ""

### The `“media”` property

      “media”                    gchar *

read-write gchar* HTMLLinkElement:media.

Flags: Read / Write

Default value: ""

### The `“rel”` property

      “rel”                      gchar *

read-write gchar* HTMLLinkElement:rel.

Flags: Read / Write

Default value: ""

### The `“rev”` property

      “rev”                      gchar *

read-write gchar* HTMLLinkElement:rev.

Flags: Read / Write

Default value: ""

### The `“sheet”` property

      “sheet”                    WebKitDOMStyleSheet *

read-only WebKitDOMStyleSheet* HTMLLinkElement:sheet.

Flags: Read

### The `“target”` property

      “target”                   gchar *

read-write gchar* HTMLLinkElement:target.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLLinkElement:type.

Flags: Read / Write

Default value: ""